Name:           perl-DBI-Dumper
Version:        2.01
Release:        6%{?dist}.1
Summary:        Dump data from a DBI datasource to file
# see http://rt.cpan.org/Public/Bug/Display.html?id=27269
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/DBI-Dumper/
Source0:        http://www.cpan.org/authors/id/W/WS/WSMITH/DBI-Dumper-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# core
BuildRequires:  perl(ExtUtils::MakeMaker) 
BuildRequires:  perl(Test::More)
# cpan
BuildRequires:  perl(DBI) 
BuildRequires:  perl(Inline::C)
BuildRequires:  perl(Parse::RecDescent)
BuildRequires:  perl(Term::ReadKey)

%description
Dumps data from a select statement into an output file. dbidumper tries
to mirror the functionality and behavior of sql*loader. The control
file syntax is similar, and DBI::Dumper utilizes a subset of the
sql*loader options.

%prep
%setup -q -n DBI-Dumper-%{version}

# include some licensing information from the rt.cpan.org bug, as it's
# not yet included in the package proper
cat << \EOF > COPYING.fedora
DBI::Dumper is under the same terms as perl itself, namely the GPL or 
Artistic licenses.  For more information, please see:

  http://rt.cpan.org/Public/Bug/Display.html?id=27269

From the bug:

Subject: RE: [rt.cpan.org #27269] DBI::Dumper license?
Date:    Thu, 24 May 2007 10:58:37 -0500
To:      <bug-DBI-Dumper[...]rt.cpan.org>
From:   "Smith Warren - wasmit" <Warren.Smith[...]acxiom.com>

The license for DBI::Dumper is the same as perl. I will update the
POD with the next release to include this information.

EOF

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make 

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} +
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} +
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \; 

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes grammar.prd README COPYING.fedora t/
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/DBI
%{_bindir}/*
%{_mandir}/man[13]/*

%changelog
* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.01-6
Rebuild for new perl

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.01-5
- Autorebuild for GCC 4.3

* Tue Oct 30 2007 Chris Weyl <cweyl@alumni.drew.edu> 2.01-4
- drop smp_flags from build; this was causing the ppc/ppc64 builds to fail
  mysteriously

* Mon Oct 29 2007 Chris Weyl <cweyl@alumni.drew.edu> 2.01-3
- bump

* Sun Oct 14 2007 Chris Weyl <cweyl@alumni.drew.edu> 2.01-2
- add licensing text

* Wed May 23 2007 Chris Weyl <cweyl@alumni.drew.edu> 2.01-1
- Specfile autogenerated by cpanspec 1.71.
